
From: Sam Ravnborg <sam@ravnborg.org>

In the i386 case we need to generate asm-offset.h, before starting building
the kernel tree.  Building asm-offset.h causes us to use one of the
shorthands in the top-level makefile, namely the one for .s files.  The one
that allows us to do: make some/dir/file.s

And this shorthand happens to have a dependency to scripts, therefore I did
not see this problem on i386.  But David hit it with sparc64, because there
is no asm-offset.h file.  No parallel stuff involved here, just an ordinary
error.


---

 25-akpm/Makefile |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN Makefile~parallel-make-fix Makefile
--- 25/Makefile~parallel-make-fix	2004-03-21 00:05:08.259797440 -0800
+++ 25-akpm/Makefile	2004-03-21 00:05:08.262796984 -0800
@@ -564,7 +564,7 @@ $(sort $(vmlinux-objs)) arch/$(ARCH)/ker
 # 	Handle descending into subdirectories listed in $(SUBDIRS)
 
 .PHONY: $(SUBDIRS)
-$(SUBDIRS): prepare-all
+$(SUBDIRS): prepare-all scripts
 	$(Q)$(MAKE) $(build)=$@
 
 # Things we need to do before we recursively start building the kernel

_
